User Account History

​

Returns a user's account history details. This includes transactions such as check-in, redemption, etc. This does not include gift card related transactions.

Headers

  • The signature for the API call

  • Advertises which content types the client is able to understand

  • Preferred language

  • Set this header to application/json.

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

  • This parameter will work only if the business opted for subscription.

    values
    rewardcheckinsrewardcreditredemption

Responses

  • application/json
Request Example for get/api2/mobile/users/account_history
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/users/account_history \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "event_filter": "reward"
}'
[
  {
    "channel": null,
    "date": "2019-05-17T08:29:35-04:00",
    "description": "Dessert redeemed using redemption code 6384949 at TEST-Winghouse_Squirrel- Test No Report (Available)",
    "disapproved": false,
    "event_details": {
      "redemption_status": "redeemable",
      "created_at": "2019-05-17T08:29:35-04:00",
      "redeemable_id": 106,
      "redeemable_name": "Dessert",
      "redeemed_value": null,
      "redemption_image_url": "IMAGE_URL_GOES_HERE",
      "redemption_message": "Redeem your Free Dessert with the purchase of an entree",
      "updated_at": "2019-05-17T08:29:35-04:00",
      "redemption_id": 1765525,
      "redemption_tracking_code": "6384949",
      "expiring_at": "2019-05-18T08:29:35-04:00"
    },
    "event_value": "(Item)",
    "expired": false,
    "pending_refresh": false,
    "store_number": "",
    "sub_value": null,
    "event_title": "Item Redeemed",
    "event_type": "Redemption",
    "total_banked_currency": 10,
    "total_offers": 1,
    "total_points": 65,
    "total_visits": null,
    "event_expiry": null
  },
  {
    "channel": null,
    "date": "2019-05-17T08:23:29-04:00",
    "description": "You were gifted: Dessert (Support Activity)",
    "disapproved": false,
    "event_details": null,
    "event_value": "+Item",
    "expired": false,
    "pending_refresh": false,
    "store_number": null,
    "sub_value": null,
    "event_title": "Item Gifted",
    "event_type": "Reward",
    "total_banked_currency": 10,
    "total_offers": 1,
    "total_points": 65,
    "total_visits": null,
    "event_expiry": null
  },
  {
    "channel": null,
    "date": "2019-05-17T08:22:26-04:00",
    "description": "100 points converted into $10.00 of banked rewards",
    "disapproved": false,
    "event_details": null,
    "event_value": "+$10.00",
    "expired": false,
    "pending_refresh": false,
    "store_number": null,
    "sub_value": "(100 pts)",
    "event_title": "Rewards Earned",
    "event_type": "RewardCredit",
    "total_banked_currency": 10,
    "total_offers": 0,
    "total_points": 65,
    "total_visits": null,
    "event_expiry": "2019-06-26T06:59:59Z"
  },
  {
    "channel": "Mobile",
    "date": "2019-05-17T08:22:26-04:00",
    "description": "165 points earned for your $165.24 purchase at TEST-Winghouse_Squirrel- Test No Report",
    "disapproved": false,
    "event_details": null,
    "event_value": "+165 points",
    "expired": false,
    "pending_refresh": false,
    "store_number": "",
    "sub_value": null,
    "event_title": "Points Earned",
    "event_type": "Checkin",
    "total_banked_currency": 0,
    "total_offers": 0,
    "total_points": 165,
    "total_visits": null,
    "event_expiry": "2019-06-29"
  }
]